SDL_ASSERT_SHARED_CAPABILITY(3)

NAME
SDL_ASSERT_SHARED_CAPABILITY - Wrapper around Clang thread safety analysis annotations.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_ASSERT_SHARED_CAPABILITY(x) .BI SDL_THREAD_ANNOTATION_ATTRIBUTE__(assert_shared_capability(x))

DESCRIPTION
Please see https://clang.llvm.org/docs/ThreadSafetyAnalysis.html#mutex-h

AVAILABILITY
This macro is available since SDL 3.2.0.